set winavr=h:
path %winavr%\winavr\bin;%winavr%\winavr\utils\bin;

rem For ATmega168 and avrdude with ponyprog cable
rem BITS:      7     6     5     4     3     2     1     0
rem efuse =    x     x     x     x     x   BTSZ1 BTSZ1 BTRST   	  (0xFE = Bootsize = 256bytes, BootReset enabled)
rem hfuse =  RSTDIS DWEN SPIEN WDTON EESAV BODL2 BODL1 BODL0      (0xDE = SPI prog enable,BOD=1.8V )
rem lfuse =  CKDIV8 CKOUT SUT1  SUT0 CKSL3 CKSL2 CKSL1 CKSL0      (0xCC = SUT=BODenabled,8MHz XTAL)
rem lock  =    x     x   BLB12 BLB11 BLB02 BLB01 LOCK1 LOCK0      (0xFC = disable programming and verifying)

rem LOCK
avrdude.exe -p m168 -c pony-stk200 -P lpt1 -u -U flash:w:"main.bin" -U efuse:w:0x06:m -U hfuse:w:0xde:m -U lfuse:w:0xcc:m -U lock:w:0x3c:m -E noreset

rem NO LOCK
rem avrdude.exe -p m168 -c pony-stk200 -P lpt1 -u -U flash:w:"main.hex":i -U efuse:w:0x06:m -U hfuse:w:0xde:m -U lfuse:w:0xcc:m -U lock:w:0x3f:m -E noreset

pause





